---
title: File.name
slug: Web/API/File/name
tags:
  - API
  - File API
  - Files
  - Property
  - Reference
---
<div>{{APIRef("File API")}}</div>

<p>Returns the name of the file represented by a {{domxref("File")}} object. For security reasons, the path is excluded from this property.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>name</var> = <var>file</var>.name;</pre>

<h2 id="Value">Value</h2>

<p>A string, containing the name of the file without path, such as "My Resume.rtf".</p>

<h2 id="Example">Example</h2>

<pre class="brush: html">&lt;input type="file" multiple onchange="processSelectedFiles(this)"&gt;
</pre>

<pre class="brush: js">function processSelectedFiles(fileInput) {
  var files = fileInput.files;

  for (var i = 0; i &lt; files.length; i++) {
    alert("Filename " + files[i].name);
  }
}</pre>

<p>Try the results out below:</p>

<p>{{ EmbedLiveSample('Example', 300, 50) }}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('File API', '#file-attrs', 'name')}}</td>
   <td>{{Spec2('File API')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.File.name")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Using_files_from_web_applications">Using files from web applications</a></li>
</ul>
